Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 129561 - Performance during JSP editing is extremly slow!!!
Performance during JSP editing is extremly slow!!!
Status: VERIFIED FIXED
Product: editor
Classification: Unclassified
Component: -- Other --
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Miloslav Metelka
issues@editor
61fixes1-fixed
: PERFORMANCE
Depends on: 131413
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-07 16:13 UTC by kvgeorge1
Modified: 2008-06-04 08:40 UTC (History)
8 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
File I was editing when error occured (49.98 KB, text/plain)
2008-03-07 16:14 UTC, kvgeorge1
Details
Stack from hints attaching annotations (2.59 KB, text/plain)
2008-03-30 18:15 UTC, Miloslav Metelka
Details
Example file vausing sluggish response in IDE editor (60.40 KB, text/plain)
2008-04-08 16:19 UTC, kvgeorge1
Details
File I was editing when performance was impeded. (83.13 KB, text/plain)
2008-04-17 17:27 UTC, kvgeorge1
Details
Thread Dumps from "locked" IDE - 200804190003 (13.54 KB, application/x-compressed)
2008-04-21 16:27 UTC, kvgeorge1
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kvgeorge1 2008-03-07 16:13:13 UTC
NB 6.1 beta1's performance during editing a JSP file is extremely slow.  Every time I add/remove a line to/from the 
file, the CPU jumps to 100% for about .5 - 1 sec. for process java.exe.  During this time, I am still getting an 
IllegalStateException which may be the cause for all of this, but I do not know.

I am including the messages.log file and the JSP I am attempting to edit.

MESSAGE.LOG:

-------------------------------------------------------------------------------
>Log Session: Friday, March 7, 2008 9:40:19 AM CST
>System Info: 
  Product Version         = NetBeans IDE 6.1 Beta (Build 200803050202)
  Operating System        = Windows XP version 5.1 running on x86
  Java; VM; Vendor        = 1.6.0_02; Java HotSpot(TM) Client VM 1.6.0_02-b06; Sun Microsystems Inc.
  Java Home               = C:\Java\jdk1.6.0\jre
  System Locale; Encoding = en_US (nb); Cp1252
  Home Directory          = C:\Documents and Settings\Ken
  Current Directory       = C:\java\netbeans-6.1\beta
  User Directory          = C:\Documents and Settings\Ken\.netbeans\6.1beta
  Installation            = C:\java\netbeans-6.1\beta\nb6.1
                            C:\java\netbeans-6.1\beta\ide9
                            C:\java\netbeans-6.1\beta\java2
                            C:\java\netbeans-6.1\beta\xml2
                            C:\java\netbeans-6.1\beta\apisupport1
                            C:\java\netbeans-6.1\beta\enterprise5
                            C:\java\netbeans-6.1\beta\profiler3
                            C:\java\netbeans-6.1\beta\gsf1
                            C:\java\netbeans-6.1\beta\visualweb2
                            C:\java\netbeans-6.1\beta\identity2
                            C:\java\netbeans-6.1\beta\harness
                            C:\java\netbeans-6.1\beta\platform8
  Boot & Ext. Classpath   = C:\Java\jdk1.6.0\jre\lib\resources.jar;C:\Java\jdk1.6.0\jre\lib\rt.jar;C:\Java\jdk1.6.0
\jre\lib\sunrsasign.jar;C:\Java\jdk1.6.0\jre\lib\jsse.jar;C:\Java\jdk1.6.0\jre\lib\jce.jar;C:\Java\jdk1.6.0
\jre\lib\charsets.jar;C:\Java\jdk1.6.0\jre\classes;C:\Java\jdk1.6.0\jre\lib\ext\dnsns.jar;C:\Java\jdk1.6.0
\jre\lib\ext\localedata.jar;C:\Java\jdk1.6.0\jre\lib\ext\QTJava.zip;C:\Java\jdk1.6.0
\jre\lib\ext\sunjce_provider.jar;C:\Java\jdk1.6.0\jre\lib\ext\sunmscapi.jar;C:\Java\jdk1.6.0\jre\lib\ext\sunpkcs11.jar
  Application Classpath   = C:\java\netbeans-6.1\beta\platform8\lib\boot.jar;C:\java\netbeans-6.1\beta\platform8
\lib\org-openide-modules.jar;C:\java\netbeans-6.1\beta\platform8\lib\org-openide-util.jar;C:\Java\jdk1.6.0
\lib\dt.jar;C:\Java\jdk1.6.0\lib\tools.jar
  Startup Classpath       = C:\java\netbeans-6.1\beta\platform8\core\core.jar;C:\java\netbeans-6.1\beta\platform8
\core\org-openide-filesystems.jar;C:\java\netbeans-6.1\beta\nb6.1\core\org-netbeans-upgrader.jar;C:\java\netbeans-6.1
\beta\nb6.1\core\locale\core_nb.jar
-------------------------------------------------------------------------------
WARNING [org.netbeans.core.modules]: the module org.netbeans.modules.editor uses org.openide.options which is 
deprecated: Use org.openide.util.NbPreferences instead.
WARNING [org.netbeans.core.modules]: the module org.netbeans.modules.xml.text uses org.openide.options which is 
deprecated: Use org.openide.util.NbPreferences instead.
WARNING [org.netbeans.core.modules]: the module org.netbeans.modules.options.editor uses org.openide.options which is 
deprecated: Use org.openide.util.NbPreferences instead.
WARNING [org.netbeans.core.modules]: the module org.netbeans.modules.editor.codetemplates uses org.openide.options 
which is deprecated: Use org.openide.util.NbPreferences instead.
WARNING [org.netbeans.core.modules]: the module org.netbeans.modules.db uses org.openide.options which is deprecated: 
Use org.openide.util.NbPreferences instead.
WARNING [org.netbeans.core.modules]: the module org.netbeans.modules.debugger.jpda.projects uses 
org.netbeans.modules.editor.highlights which is deprecated: Use org.netbeans.spi.highlighting (Editor Library 2) 
instead.
WARNING [org.netbeans.core.modules]: the module org.netbeans.modules.java.editor uses org.openide.options which is 
deprecated: Use org.openide.util.NbPreferences instead.
WARNING [org.netbeans.core.modules]: the module org.netbeans.modules.debugger.jpda.ant uses 
org.netbeans.modules.editor.highlights which is deprecated: Use org.netbeans.spi.highlighting (Editor Library 2) 
instead.
WARNING [org.netbeans.core.modules]: the module org.netbeans.modules.languages uses org.openide.options which is 
deprecated: Use org.openide.util.NbPreferences instead.
WARNING [org.netbeans.core.modules]: the module org.netbeans.modules.editor.plain uses org.openide.options which is 
deprecated: Use org.openide.util.NbPreferences instead.
WARNING [org.netbeans.core.modules]: the module org.netbeans.modules.ide.kit uses 
org.netbeans.modules.editor.highlights which is deprecated: Use org.netbeans.spi.highlighting (Editor Library 2) 
instead.
WARNING [org.netbeans.core.modules]: the module org.netbeans.modules.gsf uses org.openide.options which is deprecated: 
Use org.openide.util.NbPreferences instead.
WARNING [org.netbeans.core.modules]: the module org.netbeans.modules.gsf uses org.netbeans.modules.editor.highlights 
which is deprecated: Use org.netbeans.spi.highlighting (Editor Library 2) instead.
WARNING [org.netbeans.core.modules]: the module org.netbeans.modules.html.editor uses org.openide.options which is 
deprecated: Use org.openide.util.NbPreferences instead.
WARNING [org.netbeans.core.modules]: the module org.netbeans.modules.web.core.syntax uses org.openide.options which is 
deprecated: Use org.openide.util.NbPreferences instead.
WARNING [org.netbeans.core.modules]: the module org.netbeans.modules.db.sql.editor uses org.openide.options which is 
deprecated: Use org.openide.util.NbPreferences instead.
WARNING [org.netbeans.core.modules]: the module org.netbeans.modules.editor.macros uses org.openide.options which is 
deprecated: Use org.openide.util.NbPreferences instead.
WARNING [org.netbeans.core.modules]: the module org.netbeans.modules.javascript.editing uses org.openide.options which 
is deprecated: Use org.openide.util.NbPreferences instead.
WARNING [org.netbeans.core.modules]: the module org.netbeans.modules.beans uses org.openide.options which is 
deprecated: Use org.openide.util.NbPreferences instead.
WARNING [org.netbeans.core.modules]: the module org.netbeans.modules.web.jsf.navigation uses org.openide.options which 
is deprecated: Use org.openide.util.NbPreferences instead.
WARNING [org.netbeans.core.modules]: the module org.netbeans.modules.css.visual uses org.openide.options which is 
deprecated: Use org.openide.util.NbPreferences instead.
WARNING [org.netbeans.core.modules]: the module org.netbeans.modules.visualweb.dataconnectivity uses 
org.openide.options which is deprecated: Use org.openide.util.NbPreferences instead.
WARNING [org.netbeans.core.modules]: the module org.netbeans.modules.visualweb.designer.jsf uses org.openide.options 
which is deprecated: Use org.openide.util.NbPreferences instead.
WARNING [org.netbeans.core.modules]: the module org.netbeans.modules.properties.syntax uses org.openide.options which 
is deprecated: Use org.openide.util.NbPreferences instead.
SEVERE [org.netbeans.modules.mercurial]: execEnv():  execEnv(): IOException java.io.IOException: Cannot run 
program "hg": CreateProcess error=2, The system cannot find the file specified
INFO [org.netbeans.core.startup.NbEvents]: Turning on modules:
	org.openide.util [7.12.0.1 1 200803050202]
	org.openide.modules [7.6 200803050202]
	org.openide.filesystems [7.7 200803050202]
	org.netbeans.modules.editor.util/1 [1.22 200803050202]
	org.netbeans.modules.lexer/2 [1.26.0.1 1 200803050202]
	org.openide.awt [7.0.0.1 200803050202]
	org.netbeans.api.progress/1 [1.11.0.1 1 200803050202]
	org.openide.dialogs [7.6 200803050202]
	org.openide.nodes [7.3.0.1 200803050202]
	org.openide.explorer [6.13 1 200803050202]
	org.openide.windows [6.19 200803050202]
	org.netbeans.modules.editor.mimelookup/1 [1.9 200803050202]
	org.openide.text [6.17 200803050202]
	org.openide.actions [6.7.0.1 200803050202]
	org.netbeans.modules.queries/1 [1.11 200803050202]
	org.openide.loaders [6.9 200803050202]
	org.netbeans.modules.projectapi/1 [1.14 200803050202]
	org.netbeans.modules.projectuiapi/1 [1.27.0.6 6 200803050202]
	org.netbeans.api.xml/1 [1.15 200803050202]
	org.netbeans.modules.xml.core/2 [1.14.0.4 4 200803050202]
	org.netbeans.modules.editor.fold/1 [1.7 200803050202]
	org.netbeans.modules.xml.lexer [1.2 200803050202]
	org.openidex.util/3 [3.14 200803050202]
	org.openide.options [6.8 200803050202]
	org.netbeans.modules.editor.settings/1 [1.16 200803050202]
	org.netbeans.modules.editor.lib2/1 [1.6.0.2 2 200803050202]
	org.netbeans.modules.editor.lib/1 [1.22.0.4.2 4 200803050202]
	org.netbeans.swing.tabcontrol [1.11 200803050202]
	org.netbeans.modules.editor/3 [1.36.0.1.4.2 1 200803050202]
	org.netbeans.modules.editor.indent/2 [1.7.0.4 200803050202]
	org.netbeans.modules.editor.structure/1 [1.16.0.1 1 200803050202]
	org.netbeans.modules.editor.completion/1 [1.11 200803050202]
	org.netbeans.spi.navigator/1 [1.6 200803050202]
	org.netbeans.modules.xml.text/2 [1.14.0.4 4 200803050202]
	org.netbeans.modules.xml.xam/1 [1.3 1 200803050202]
	org.netbeans.modules.xml.xdm/1 [1.3 1 200803050202]
	org.openide.io [1.12 200803050202]
	org.apache.xml.resolver [1.3 1.2 200803050202]
	org.netbeans.modules.xml.retriever/1 [1.2 200803050202]
	org.netbeans.modules.xml.schema.model/1 [1.3 1 200803050202]
	org.netbeans.modules.xml.wsdl.model/1 [1.3 1 200803050202]
	org.netbeans.libs.jsr223/1 [1.7 6 200803050202]
	org.netbeans.modules.templates [1.2 200803050202]
	org.netbeans.modules.options.api/1 [1.6 200803050202]
	org.jdesktop.layout/1 [1.5 1.0.3 200803050202]
	org.openide.execution [1.11 200803050202]
	org.apache.tools.ant.module/3 [3.28.0.2 2 200803050202]
	org.netbeans.modules.project.libraries/1 [1.16 200803050202]
	org.netbeans.api.java/1 [1.14 200803050202]
	org.netbeans.modules.java.platform/1 [1.10 200803050202]
	org.netbeans.modules.project.ant/1 [1.19 200803050202]
	org.netbeans.modules.java.project/1 [1.15 200803050202]
	org.netbeans.modules.j2ee.metadata/0 [1.4 200803050202]
	org.netbeans.modules.schema2beans/1 [1.17 200803050202]
	org.netbeans.libs.javacapi [0.6.0.1 1 200803050202]
	org.netbeans.libs.javacimpl/1 [0.8.0.6 6 200803050202]
	org.netbeans.modules.classfile/1 [1.20 200803050202]
	org.netbeans.libs.lucene/1 [2.2 2.1.0 200803050202]
	org.netbeans.modules.editor.errorstripe.api/1 [2.4.0.1 1 200803050202]
	org.netbeans.modules.editor.errorstripe/2 [2.4.0.1.1 1 200803050202]
	org.netbeans.bootstrap/1 [2.11 200803050202]
	org.netbeans.core.startup/1 [1.12.0.1 200803050202]
	org.netbeans.modules.javahelp/1 [2.10 200803050202]
	org.netbeans.modules.editor.settings.storage/1 [1.17 200803050202]
	org.netbeans.modules.options.keymap [1.3 200803050202]
	org.netbeans.modules.options.editor/1 [1.7 200803050202]
	org.netbeans.modules.diff/1 [1.19.0.42.1 42 200803050202]
	org.netbeans.modules.editor.guards/1 [1.1 200803050202]
	org.netbeans.modules.refactoring.api [1.3 200803050202]
	org.netbeans.spi.tasklist/1 [1.1 1 200803050202]
	org.netbeans.modules.java.preprocessorbridge [1.2 200803050202]
	org.netbeans.modules.masterfs/2 [1.13 200803050202]
	org.netbeans.modules.java.lexer/1 [1.3 200803050202]
	org.netbeans.modules.java.source [0.32.0.3.6 3 200803050202]
	org.netbeans.modules.j2ee.metadata.model.support/1 [1.1 200803050202]
	org.netbeans.libs.xerces/1 [1.11 2.8.0 200803050202]
	org.netbeans.modules.j2ee.dd/1 [1.11.0.2 2 200803050202]
	org.netbeans.api.web.webmodule [1.11 200803050202]
	org.netbeans.modules.j2ee.api.ejbmodule [1.8 200803050202]
	org.netbeans.modules.j2ee.dd.webservice [1.7 200803050202]
	org.netbeans.modules.websvc.websvcapi [1.7 200803050202]
	org.netbeans.api.debugger/1 [1.13 200803050202]
	org.netbeans.spi.viewmodel/2 [1.13 200803050202]
	org.netbeans.api.debugger.jpda/2 [2.14 200803050202]
	org.netbeans.swing.plaf [1.7 200803050202]
	org.netbeans.core/2 [3.7.0.1 200803050202]
	org.netbeans.modules.settings/1 [1.14 200803050202]
	org.netbeans.modules.server/0 [1.1 200803050202]
	org.netbeans.modules.j2eeapis/1 [1.9 200803050202]
	org.netbeans.modules.j2eeserver/4 [1.40.0.1 1 200803050202]
	org.netbeans.modules.websvc.utilities/0 [1.1 200803050202]
	org.netbeans.modules.websvc.jaxws21api/1 [1.2 200803050202]
	org.netbeans.modules.websvc.jaxws21/1 [1.2 200803050202]
	org.netbeans.modules.websvc.jaxwsmodel/1 [1.3 200803050202]
	org.netbeans.modules.websvc.jaxwsapi [1.2 200803050202]
	org.netbeans.modules.java.editor.lib/1 [1.7 200803050202]
	org.netbeans.spi.editor.hints/0 [1.4.0.6.2 6 200803050202]
	org.netbeans.modules.websvc.clientapi [1.7 200803050202]
	org.netbeans.modules.xml.catalog/2 [1.13.0.4 4 200803050202]
	org.netbeans.modules.jumpto/1 [1.5 200803050202]
	org.netbeans.modules.java.sourceui/1 [1.5.0.1.3 1 200803050202]
	org.netbeans.modules.java.api.common/0 [1.0 200803050202]
	org.netbeans.modules.editor.codetemplates/1 [1.8.0.1.6 1 200803050202]
	org.netbeans.modules.j2ee.core.utilities/0 [1.0 200803050202]
	org.netbeans.modules.db/1 [1.25.0.5 5 200803050202]
	org.netbeans.modules.j2ee.common/1 [1.22 200803050202]
	org.netbeans.modules.websvc.core [1.8.0.1.4.6 1 200803050202]
	org.netbeans.modules.websvc.saas.api [1.0 200803050202]
	org.netbeans.modules.websvc.saas.codegen [1.0 200803050202]
	org.netbeans.modules.visualweb.propertyeditors.resolver [1.1 200803050202]
	org.netbeans.api.visual [2.10 200803050202]
	org.netbeans.core.multiview/1 [1.11 200803050202]
	org.netbeans.modules.websvc.design [1.1 200803050202]
	org.netbeans.libs.freemarker/1 [2.4 238 200803050202]
	org.netbeans.modules.java.guards/0 [0.3 200803050202]
	org.netbeans.modules.xml.multiview/1 [1.7.0.2 2 200803050202]
	org.netbeans.modules.websvc.wsitmodelext [3.1 200803050202]
	org.netbeans.modules.websvc.wsitconf [3.1 200803050202]
	org.netbeans.modules.websvc.metro.samples/1 [1.2 200803050202]
	org.netbeans.modules.j2ee.sun.dd/1 [1.8.0.1 1 200803050202]
	org.netbeans.modules.dbschema/1 [1.11.0.3.5 3 200803050202]
	org.netbeans.modules.j2ee.sun.appsrv/1 [1.7 1 200803050202]
	org.netbeans.modules.j2ee.sun.ddui/1 [1.9.0.1.1 1 200803050202]
	org.netbeans.spi.debugger.ui/1 [2.10 200803050202]
	org.netbeans.modules.editor.highlights/0 [1.3.0.1 1 200803050202]
	org.netbeans.modules.debugger.jpda.projects [1.3.0.1 200803050202]
	org.netbeans.modules.debugger.jpda/2 [1.20 200803050202]
	org.netbeans.modules.ant.freeform/1 [1.16 200803050202]
	org.netbeans.modules.java.freeform/1 [1.8 200803050202]
	org.netbeans.modules.websvc.serviceapi [1.1 200803050202]
	org.netbeans.modules.editor.bracesmatching/0 [1.4 200803050202]
	org.netbeans.modules.java.editor/1 [2.12.0.4.1.1.6 4 200803050202]
	org.netbeans.modules.java.hints/1 [1.21.0.3.4.6 3 200803050202]
	org.netbeans.modules.gototest/1 [1.1 200803050202]
	org.netbeans.modules.junit/2 [2.26 200803050202]
	org.netbeans.modules.j2ee.persistenceapi/1 [1.4 200803050202]
	org.netbeans.modules.debugger.jpda.ant [1.9 200803050202]
	org.netbeans.modules.ant.browsetask [1.13 200803050202]
	org.netbeans.modules.java.j2seproject/1 [1.13.0.44 44 200803050202]
	org.netbeans.modules.java.navigation/1 [1.8 200803050202]
	org.netbeans.modules.java.j2seplatform/1 [1.9.0.2 2 200803050202]
	org.netbeans.modules.refactoring.java/1 [1.3 200803050202]
	org.netbeans.modules.javadoc/1 [1.23.0.6 200803050202]
	org.netbeans.spi.palette/1 [1.13 200803050202]
	org.netbeans.modules.form/2 [1.23 2 200803050202]
	org.netbeans.modules.java.examples/1 [1.8 200803050202]
	org.netbeans.modules.properties/1 [1.22 200803050202]
	org.netbeans.modules.i18n/1 [1.23 200803050202]
	org.netbeans.modules.java.debug [1.2.0.6 200803050202]
	org.netbeans.modules.javawebstart [1.1 200803050202]
	org.netbeans.modules.ant.debugger/1 [1.9.0.2 200803050202]
	org.netbeans.swing.dirchooser [1.1 200803050202]
	org.netbeans.modules.editor.bookmarks/1 [1.5 200803050202]
	org.netbeans.modules.sendopts/2 [2.2 200803050202]
	org.netbeans.modules.utilities/1 [1.26 200803050202]
	org.netbeans.modules.servletapi/1 [1.12 200803050202]
	org.netbeans.modules.httpserver/2 [2.8.0.42 42 200803050202]
	org.netbeans.modules.languages/0 [1.87.2.1 1 200803050202]
	org.netbeans.modules.usersguide/1 [1.21 200803050202]
	org.netbeans.core.execution/1 [1.11.0.1 200803050202]
	org.netbeans.core.ui/1 [1.11 200803050202]
	org.netbeans.modules.favorites/1 [1.13 200803050202]
	org.netbeans.modules.projectui [1.13.0.1.6 1 200803050202]
	org.netbeans.modules.editor.plain.lib/1 [1.5 200803050202]
	org.netbeans.modules.editor.plain/1 [1.5 200803050202]
	org.netbeans.modules.autoupdate.services [1.4 200803050202]
	org.netbeans.modules.autoupdate.ui [1.3 200803050202]
	org.netbeans.core.windows/2 [2.10.0.1 200803050202]
	org.netbeans.modules.core.kit [1.1 200803050202]
	org.netbeans.core.ide/1 [1.11 200803050202]
	org.netbeans.modules.ide.branding/1 [1.5]
	org.netbeans.modules.extbrowser/1 [1.12 200803050202]
	org.netbeans.insane/1 [1.1 1 200803050202]
	org.netbeans.modules.timers/1 [1.3 200803050202]
	org.netbeans.modules.defaults/1 [1.4 200803050202]
	org.netbeans.modules.ide.kit [1.3 200803050202]
	org.netbeans.modules.ant.kit [1.1 200803050202]
	org.netbeans.modules.java.helpset/1 [1.1 200803050202]
	org.netbeans.modules.java.kit [1.1 200803050202]
	org.netbeans.modules.debugger.jpda.ui/1 [1.7 200803050202]
	org.netbeans.modules.web.debug/1 [2.11 200803050202]
	org.netbeans.modules.dbapi [1.6.1.5 200803050202]
	org.netbeans.modules.derby [1.10 200803050202]
	org.netbeans.modules.j2ee.samples [1.3 200803050202]
	org.netbeans.modules.servletjspapi/1 [1.2 1 200803050202]
	org.netbeans.libs.glassfish_logging/1 [1.2 1 200803050202]
	org.netbeans.core.output2/1 [1.9.0.1 1 200803050202]
	org.netbeans.modules.web.jspparser/3 [3.0 200803050202]
	org.netbeans.modules.el.lexer/1 [1.2 200803050202]
	org.netbeans.modules.html.lexer/1 [1.2 200803050202]
	org.netbeans.modules.jsp.lexer/1 [1.2 200803050202]
	org.netbeans.modules.gsf.api/1 [1.0 1 200803050202]
	org.netbeans.modules.html.editor.lib/1 [1.7 200803050202]
	org.netbeans.modules.gsfpath.api/1 [0.33 200803050202]
	org.netbeans.modules.gsf/2 [0.71.0.1.1.1.1.6 1 200803050202]
	org.netbeans.modules.html.editor/1 [1.9.0.1 200803050202]
	org.netbeans.modules.web.core.syntax/2 [2.0.1.4 1 200803050202]
	org.netbeans.modules.web.core/2 [2.0.42.2 42 200803050202]
	org.netbeans.modules.web.freeform [1.7 200803050202]
	org.netbeans.modules.web.monitor/1 [1.18 200803050202]
	org.netbeans.modules.web.examples/1 [1.8 200803050202]
	org.netbeans.modules.j2ee.debug/1 [1.6 200803050202]
	org.netbeans.modules.j2ee.ant [1.10.0.1 200803050202]
	org.netbeans.modules.j2ee.persistence [1.5.0.1 1 200803050202]
	org.netbeans.modules.web.project [1.8 200803050202]
	org.netbeans.modules.web.jstl11/1 [2.9 1.1.2 200803050202]
	org.netbeans.modules.j2ee.genericserver [1.7 200803050202]
	org.netbeans.modules.j2ee.ejbcore [1.8 200803050202]
	org.netbeans.modules.j2ee.ddloaders/1 [1.9.0.2 200803050202]
	org.netbeans.modules.web.refactoring [1.1.0.42 200803050202]
	org.netbeans.modules.db.core [1.6 200803050202]
	org.netbeans.modules.db.sql.editor [1.6.0.5 200803050202]
	org.netbeans.modules.db.sql.visualeditor/1 [2.2.0.5 200803050202]
	org.netbeans.modules.db.mysql [0.1 1 200803050202]
	org.netbeans.modules.db.drivers [1.1 200803050202]
	org.netbeans.modules.db.kit [1.2 200803050202]
	org.netbeans.modules.j2ee.toplinklib/1 [2.9 200803050202]
	org.netbeans.modules.j2ee.jpa.verification [1.2.0.6 200803050202]
	org.netbeans.modules.j2ee.jpa.refactoring [1.1 200803050202]
	org.netbeans.modules.j2ee.persistence.kit [1.1 200803050202]
	org.netbeans.modules.web.kit [1.1 200803050202]
	org.netbeans.modules.j2ee.sun.appsrv81/1 [1.5.0.1.1 1 200803050202]
	org.netbeans.modules.visualweb.libs.batik/1 [2.1 200803050202]
	org.netbeans.modules.visualweb.designer.html [2.1 200803050202]
	org.netbeans.modules.visualweb.designer.cssengine [2.1 200803050202]
	org.netbeans.modules.image/1 [1.20 200803050202]
	org.netbeans.modules.xml.axi [1.3 200803050202]
	org.netbeans.modules.xml [1 1 200803050202]
	org.netbeans.modules.xml.tax/2 [1.14.0.4.1 4 200803050202]
	org.netbeans.lib.profiler/1 [1.2 200803050202]
	org.netbeans.lib.profiler.common/1 [1.2 200803050202]
	org.netbeans.lib.profiler.ui/1 [1.2 200803050202]
	org.netbeans.modules.profiler.utilities/1 [1.4 200803050202]
	org.netbeans.modules.profiler.attach/1 [1.0 200803050202]
	org.netbeans.modules.profiler.projectsupport [1.0 200803050202]
	org.netbeans.modules.profiler.selector.spi/1 [1.4 200803050202]
	org.netbeans.modules.profiler.selector.ui/1 [1.0 200803050202]
	org.netbeans.modules.profiler/1 [1.7 200803050202]
	org.netbeans.modules.profiler.j2ee.sunas/1 [1.4 200803050202]
	org.netbeans.xml.libs.jxpath/1 [1.2 200803050202]
	org.netbeans.modules.xml.xpath.ext [1.0 200803050202]
	org.netbeans.modules.xml.wsdl.extensions [1.2 200803050202]
	org.netbeans.modules.j2ee.jboss4/1 [1.8.0.1 200803050202]
	org.netbeans.lib.cvsclient/1 [1.16 200803050202]
	org.netbeans.libs.jsch/1 [1.6 0.1.24 200803050202]
	org.netbeans.modules.versioning/1 [1.6.0.1.42.1 1 200803050202]
	org.netbeans.modules.versioning.util [1.1.0.42.1 200803050202]
	org.netbeans.modules.versioning.system.cvss/1 [1.10.0.1.42.1 1 200803050202]
	org.netbeans.modules.visualweb.classloaderprovider [2.1 200803050202]
	org.netbeans.modules.web.jsf12/1 [1.1 1 200803050202]
	org.netbeans.modules.visualweb.designtime/1 [1.1 200803050202]
	org.netbeans.modules.visualweb.designtime.base [1.1 200803050202]
	org.netbeans.modules.visualweb.api.portlet.dd/1 [2.1 1 200803050202]
	org.netbeans.modules.visualweb.api.j2ee/1 [2.1 200803050202]
	org.netbeans.modules.visualweb.complib.api [1.1 200803050202]
	org.netbeans.modules.web.jsf/1 [1.8.0.1.1 1 200803050202]
	org.netbeans.modules.visualweb.project.jsf/1 [2.2.0.1 1 200803050202]
	org.netbeans.modules.visualweb.api.designer/1 [2.1 200803050202]
	org.netbeans.modules.visualweb.api.insync/1 [2.1 200803050202]
	org.netbeans.modules.visualweb.designer.markup/1 [2.1 200803050202]
	org.netbeans.modules.visualweb.rowset/1 [1.1 200803050202]
	org.netbeans.modules.visualweb.dataprovider/1 [2.1 200803050202]
	org.netbeans.modules.visualweb.propertyeditors.api [1.1 200803050202]
	org.netbeans.modules.visualweb.extension.openide/1 [2.1 200803050202]
	org.netbeans.modules.web.jsf12ri/1 [1.1 1 200803050202]
	org.netbeans.modules.visualweb.jsfsupport/1 [2.1 200803050202]
	org.netbeans.modules.visualweb.xhtml [2.1 200803050202]
	org.netbeans.modules.j2ee.ejbrefactoring [1.1 200803050202]
	org.netbeans.modules.xml.catalogsupport [1.1 200803050202]
	org.netbeans.modules.websvc.saas.services.yahoo [1.0 200803050202]
	org.netbeans.upgrader [4.7 200803050202]
	org.netbeans.modules.visualweb.palette [2.1 200803050202]
	org.netbeans.modules.editor.macros/0 [1.0.0.1.1 1 200803050202]
	org.netbeans.libs.jna/1 [1.0 200803050202]
	org.netbeans.modules.websvc.customization [1.2 200803050202]
	org.netbeans.modules.visualweb.propertyeditors/1 [2.1 200803050202]
	org.netbeans.modules.visualweb.jsfsupport.components [2.1 200803050202]
	org.netbeans.modules.visualweb.jsfsupport.designtime [2.1 200803050202]
	org.netbeans.modules.visualweb.jsfsupport.designtime_1_1 [2.1 200803050202]
	org.mozilla.rhino.patched/1 [0.100 200803050202]
	org.netbeans.modules.javascript.editing/1 [0.85 200803050202]
	org.netbeans.modules.javascript.hints/1 [0.34 200803050202]
	org.netbeans.modules.websvc.manager [1.1 200803050202]
	org.netbeans.modules.tasklist.todo/1 [1.2.1 1 200803050202]
	org.netbeans.modules.j2ee.clientproject [1.2.0.1 1 200803050202]
	org.netbeans.modules.j2ee.ejbjarproject [1.7 200803050202]
	org.netbeans.modules.j2ee.earproject [1.8 200803050202]
	org.netbeans.modules.debugger.jpda.heapwalk/1 [1.2 200803050202]
	org.netbeans.modules.javascript.refactoring/1 [0.59 200803050202]
	org.netbeans.modules.javascript.kit/1 [0.103 200803050202]
	org.netbeans.lib.uihandler [1.14 200803050202]
	org.netbeans.modules.j2ee.websphere6/1 [1.2 200803050202]
	org.netbeans.modules.visualweb.webui.jsf.defaulttheme [2.1 200803050202]
	org.netbeans.modules.apisupport.ant [2.32 200803050202]
	org.netbeans.modules.xml.xam.ui/1 [1.1 200803050202]
	org.netbeans.modules.visdev.prefuse/1 [1.3 1 200803050202]
	org.netbeans.modules.xml.nbprefuse [1.1 200803050202]
	org.netbeans.modules.xml.refactoring/1 [1.1 200803050202]
	org.netbeans.modules.xml.schema.ui.basic/1 [1.3 200803050202]
	org.netbeans.modules.xml.validation [1.1 200803050202]
	org.netbeans.modules.xml.schema.completion [1.1 200803050202]
	org.netbeans.modules.xml.wsdl.bindingsupport.api [1.1 200803050202]
	org.netbeans.modules.xml.wsdl.bindingsupport [1.1 200803050202]
	org.netbeans.modules.xml.wsdlui [1.2 200803050202]
	org.netbeans.modules.xml.wsdl.refactoring/1 [1.1 200803050202]
	org.netbeans.modules.identity.profile.api [1.3 200803050202]
	org.netbeans.modules.identity.server.manager/1 [1.3 200803050202]
	org.netbeans.modules.identity.ant/1 [1.1 200803050202]
	org.netbeans.modules.apisupport.harness [1.11 200803050202]
	org.netbeans.modules.apisupport.project [1.19.0.6.4 6 200803050202]
	org.netbeans.libs.commons_fileupload/1 [1.1 200803050202]
	org.netbeans.modules.reglib [1.0 200803050202]
	org.netbeans.modules.registration [1.0 200803050202]
	org.netbeans.modules.form.j2ee/0 [0.3 1 200803050202]
	org.netbeans.modules.websvc.saas.services.zvents [1.0 200803050202]
	org.netbeans.modules.visualweb.dataprovider.designtime/1 [2.1 200803050202]
	org.netbeans.modules.visualweb.webui/1 [2.1 200803050202]
	org.netbeans.modules.visualweb.designtimeext/1 [1.1 200803050202]
	org.netbeans.modules.visualweb.webui.designtime/1 [2.1 200803050202]
	org.netbeans.modules.visualweb.complib [2.1 200803050202]
	org.netbeans.modules.visualweb.samples.bundled [1.1 200803050202]
	org.netbeans.modules.apisupport.paintapp [1.2 200803050202]
	org.netbeans.modules.lexer.nbbridge/1 [1.3.0.1 200803050202]
	org.netbeans.modules.swingapp [1.2 200803050202]
	org.netbeans.modules.spring.beans/0 [1.2.0.1.4 1 200803050202]
	org.netbeans.modules.beans/1 [1.19.1.4 1 200803050202]
	org.netbeans.modules.websvc.saas.services.youtube [1.0 200803050202]
	org.netbeans.modules.apisupport.feedreader/1 [1.5 200803050202]
	org.netbeans.modules.languages.bat [1.4 200803050202]
	org.netbeans.modules.visualweb.webui.themes [2.1 200803050202]
	org.netbeans.modules.visualweb.dataconnectivity.designtime [1.1 200803050202]
	org.netbeans.libs.commons_logging/1 [1.5 1.0.4 200803050202]
	org.netbeans.modules.visualweb.j2ee14classloaderprovider [2.1 200803050202]
	org.netbeans.modules.web.jsf.navigation/1 [2.1 200803050202]
	org.netbeans.modules.visualweb.woodstock.webui.jsf [2.1 200803050202]
	org.netbeans.modules.visualweb.designtime.idebridge [1.1 200803050202]
	org.netbeans.modules.visualweb.extension.openide.loaders [2.1 200803050202]
	org.netbeans.modules.visualweb.insync/1 [2.2 200803050202]
	org.netbeans.modules.visualweb.navigation [1.1 200803050202]
	org.netbeans.modules.visualweb.outline [2.1 200803050202]
	org.netbeans.modules.identity.samples/1 [1.3 200803050202]
	org.netbeans.modules.websvc.saas.services.flickr [1.0 200803050202]
	org.netbeans.modules.websvc.editor.hints [1.1.0.6 200803050202]
	org.netbeans.modules.websvc.saas.services.delicious [1.0 200803050202]
	org.netbeans.modules.websvc.saas.services.google [1.0 200803050202]
	org.netbeans.modules.websvc.saas.services.weatherbug [1.0 200803050202]
	org.netbeans.modules.websvc.saas.services.strikeiron [1.0 200803050202]
	org.netbeans.modules.websvc.saas.services.amazon [1.0 200803050202]
	org.netbeans.modules.websvc.saas.services.twitter [1.0 200803050202]
	org.netbeans.modules.websvc.saas.services.facebook [1.0 200803050202]
	org.netbeans.modules.websvc.saas.ui [1.0 200803050202]
	org.netbeans.modules.websvc.saas.services.zillow [1.0 200803050202]
	org.netbeans.modules.websvc.kit [1.1 200803050202]
	org.netbeans.modules.css.editor/1 [1.0 200803050202]
	org.netbeans.modules.web.flyingsaucer/1 [1.1 1 200803050202]
	org.netbeans.modules.css.visual/1 [2.1.0 200803050202]
	org.netbeans.modules.visualweb.libs.jtidy/1 [1.6 200803050202]
	org.netbeans.modules.visualweb.designer/1 [2.1 200803050202]
	org.netbeans.modules.visualweb.dataconnectivity/1 [2.2 200803050202]
	org.netbeans.modules.visualweb.designer.jsf [2.1 200803050202]
	org.netbeans.modules.uihandler [2.5 200803050202]
	org.netbeans.modules.j2ee.platform/1 [1.6 200803050202]
	org.netbeans.modules.profiler.attach.impl/2 [1.0 200803050202]
	org.netbeans.modules.j2ee.archive [1.2 200803050202]
	org.netbeans.modules.languages.sh [1.5 200803050202]
	org.netbeans.modules.localhistory [1.2 200803050202]
	org.netbeans.modules.profiler.j2ee.jboss/1 [1.4 200803050202]
	org.netbeans.modules.j2ee.weblogic9/1 [1.7 200803050202]
	org.netbeans.modules.i18n.form/2 [1.22 200803050202]
	org.netbeans.modules.tasklist.ui/1 [1.1.0.1 200803050202]
	org.netbeans.modules.visualweb.ravehelp.rave_nbpack [2.1 200803050202]
	org.netbeans.modules.utilities.project/1 [1.8 200803050202]
	org.netbeans.modules.profiler.j2se/1 [1.4 200803050202]
	org.netbeans.modules.tasklist.projectint/1 [1.1 200803050202]
	org.netbeans.modules.javawebstart.signtask [1.1 200803050202]
	org.netbeans.modules.tasklist.kit [1.1 200803050202]
	org.netbeans.modules.apisupport.kit [1.1 200803050202]
	org.netbeans.modules.visualweb.errorhandler.client/1 [2.1 200803050202]
	org.netbeans.modules.visualweb.jsfsupport.designtime_1_2 [2.1 200803050202]
	org.netbeans.libs.ini4j/1 [1.1 0.9 200803050202]
	org.netbeans.modules.identity.profile.ui [1.2 200803050202]
	org.netbeans.modules.tomcat5/1 [1.11 200803050202]
	org.netbeans.modules.profiler.j2ee.weblogic/1 [1.4 200803050202]
	org.netbeans.modules.print/1 [1.1 200803050202]
	org.netbeans.modules.ant.grammar/1 [1.16 200803050202]
	org.netbeans.modules.xml.schema.abe [1.2 200803050202]
	org.netbeans.modules.web.jsf.kit [1.1 200803050202]
	org.netbeans.modules.identity.kit [1.1 200803050202]
	org.netbeans.modules.xml.schema.refactoring/1 [1.1 200803050202]
	org.netbeans.modules.xml.schema/1 [1.14.0.1 200803050202]
	org.netbeans.libs.jxpath [1.2 200803050202]
	org.netbeans.modules.xml.xpath [1.2 200803050202]
	org.netbeans.modules.xml.kit [1.1 200803050202]
	org.netbeans.modules.xml.wsdlextui [1.2 200803050202]
	org.netbeans.modules.xml.wsdl.kit [1.1 200803050202]
	org.netbeans.modules.visualweb.errorhandler/1 [2.1 200803050202]
	org.netbeans.modules.web.struts/1 [1.6.0.1 1 200803050202]
	org.netbeans.modules.xml.tools/2 [1.14.0.4.1.4 4 200803050202]
	org.netbeans.modules.xml.tools.java [1.0 200803050202]
	org.netbeans.modules.languages.manifest [1.4 200803050202]
	org.netbeans.modules.visualweb.ejb/1 [2.1 200803050202]
	org.netbeans.modules.editor.mimelookup.impl/1 [1.2 200803050202]
	org.netbeans.modules.apisupport.refactoring [1.5.0.6 200803050202]
	org.netbeans.modules.spring.webmvc [1.2 200803050202]
	org.netbeans.modules.visualweb.project.jsfloader/1 [2.1 200803050202]
	org.netbeans.modules.visualweb.j2ee15classloaderprovider [2.1 200803050202]
	org.netbeans.modules.j2ee.ejbverification [1.1.0.6 200803050202]
	org.netbeans.core.nativeaccess/1 [1.0 200803050202]
	org.netbeans.modules.html/1 [1.23 200803050202]
	org.netbeans.modules.updatecenters/1 [1.12 200803050202]
	org.netbeans.modules.xsl/1 [1.14.0.1 200803050202]
	org.netbeans.modules.languages.diff [1.5 200803050202]
	org.netbeans.modules.editor.kit [1.1 200803050202]
	org.netbeans.modules.progress.ui [1.1 200803050202]
	org.netbeans.modules.properties.syntax/1 [1.19 200803050202]
	org.netbeans.modules.j2ee.kit [1.1 200803050202]
	org.netbeans.modules.profiler.freeform/1 [1.4 200803050202]
	org.netbeans.modules.xml.jaxb/1 [1.1 200803050202]
	org.netbeans.modules.profiler.j2ee.tomcat/1 [1.4 200803050202]
	org.netbeans.modules.uihandler.exceptionreporter [1.1 200803050202]
	org.netbeans.modules.visualweb.web.ui.appbase/1 [2.1 200803050202]
	org.netbeans.libs.svnClientAdapter/1 [1.3 0.9 200803050202]
	org.netbeans.modules.subversion [1.3 200803050202]
	org.netbeans.modules.welcome/1 [1.13 200803050202]
	org.netbeans.modules.ide.branding.kit [1.1 200803050202]
	org.netbeans.modules.mercurial [1.6.42.1 200803050202]
	org.netbeans.modules.profiler.j2ee/1 [1.4 200803050202]
	org.netbeans.modules.visualweb.websvcmgr/1 [1.1 200803050202]
	org.netbeans.modules.visualweb.kit [1.1 200803050202]
	org.netbeans.modules.form.kit [1.1 200803050202]
	org.netbeans.modules.profiler.nbmodule/1 [1.4 200803050202]
WARNING [org.openide.loaders]: Should override getLookup() in class 
org.netbeans.modules.web.core.jsploader.JspDataObject, e.g.: [MultiDataObject.this.]getCookieSet().getLookup()
WARNING [org.openide.loaders]: Should override getLookup() in class org.openide.loaders.InstanceDataObject, e.g.: 
[MultiDataObject.this.]getCookieSet().getLookup()
WARNING [org.openide.loaders]: Should override getLookup() in class 
org.netbeans.modules.languages.dataobject.LanguagesDataObject, e.g.: [MultiDataObject.this.]getCookieSet().getLookup()
WARNING [org.netbeans.modules.editor.impl.KitsTracker]: No mime type uses editor kit implementation class: class 
org.netbeans.modules.gsf.GsfEditorKitFactory$GsfEditorKit
WARNING [org.openide.loaders]: Should override getLookup() in class org.netbeans.modules.gsf.GsfDataObject, e.g.: 
[MultiDataObject.this.]getCookieSet().getLookup()
WARNING [org.netbeans.editor.DrawLayerList]: Using deprecated DrawLayer: highlight-layer z-order: 3000 class: 
org.netbeans.modules.editor.highlights.HighlightLayer Layer class 
org.netbeans.modules.editor.highlights.HighlightLayer, name='highlight-layer
WARNING [org.netbeans.editor.DrawLayerList]: Using deprecated DrawLayer: annotation-layer z-order: 2100 class: 
org.netbeans.editor.DrawLayerFactory$AnnotationLayer Layer class org.netbeans.editor.DrawLayerFactory$AnnotationLayer, 
name='annotation-layer
INFO [org.netbeans.modules.editor.settings.storage.SettingsProvider]: Won't provide any settings for text/base It's 
been deprecated, use MimePath.EMPTY instead.
INFO [org.netbeans.modules.editor.EditorModule]: Number of loaded editor kits: 1
Diagnostic information
Input arguments:
	-Dnetbeans.importclass=org.netbeans.upgrade.AutoUpgrade
	-Dnetbeans.accept_license_class=org.netbeans.license.AcceptLicense
	-Dorg.netbeans.modules.tomcat.autoregister.token=1204838981744
	-Dorg.netbeans.modules.tomcat.autoregister.catalinaHome=C:\java\apache-tomcat-6.0.14
	-Xss2m
	-Xms32m
	-XX:PermSize=32m
	-XX:MaxPermSize=200m
	-Xverify:none
	-Dapple.laf.useScreenMenuBar=true
	-Xmx267m
	-XX:+UseConcMarkSweepGC
	-XX:+CMSClassUnloadingEnabled
	-XX:+CMSPermGenSweepingEnabled
	-Djdk.home=C:\Java\jdk1.6.0
	-Dnetbeans.home=C:\java\netbeans-6.1\beta\platform8
	-Dnetbeans.dirs=C:\java\netbeans-6.1\beta\nb6.1;C:\java\netbeans-6.1\beta\ide9;C:\java\netbeans-6.1
\beta\java2;C:\java\netbeans-6.1\beta\xml2;C:\java\netbeans-6.1\beta\apisupport1;C:\java\netbeans-6.1
\beta\enterprise5;C:\java\netbeans-6.1\beta\profiler3;C:\java\netbeans-6.1\beta\gsf1;C:\java\netbeans-6.1
\beta\visualweb2;C:\java\netbeans-6.1\beta\identity2;C:\java\netbeans-6.1\beta\harness
	-Dnetbeans.user=C:\Documents
	and
	Settings\Ken\.netbeans\6.1beta
	-Dnetbeans.system_http_proxy=DIRECT
	-Dnetbeans.system_http_non_proxy_hosts=
	-Dsun.awt.keepWorkingSetOnMinimize=true
Compiler: HotSpot Client Compiler
Heap memory usage: initial 32.0MB maximum 266.4MB
Non heap memory usage: initial 32.2MB maximum 232.0MB
Garbage collector: Copy (Collections=27 Total time spent=0s)
Garbage collector: ConcurrentMarkSweep (Collections=0 Total time spent=0s)
Classes: loaded=6841 total loaded=6848 unloaded 7
INFO [org.netbeans.core.ui.warmup.DiagnosticTask]: Total memory 1,609,945,088
WARNING [org.netbeans.modules.editor.impl.KitsTracker]: Ambiguous mime types for editor kit implementation class: class 
org.netbeans.modules.web.core.syntax.JSPKit; mime types: [text/x-jsp, text/x-tag]
WARNING [org.netbeans.editor.DrawLayerList]: Using deprecated DrawLayer: java-layer z-order: 1010 class: 
org.netbeans.editor.ext.java.JavaDrawLayerFactory$JavaLayer Layer class 
org.netbeans.editor.ext.java.JavaDrawLayerFactory$JavaLayer, name='java-layer
WARNING [org.netbeans.editor.DrawLayerList]: Using deprecated DrawLayer: jsp-el-layer z-order: 1010 class: 
org.netbeans.modules.web.core.syntax.deprecated.ELDrawLayerFactory$ELLayer Layer class 
org.netbeans.modules.web.core.syntax.deprecated.ELDrawLayerFactory$ELLayer, name='jsp-el-layer
INFO [org.netbeans.modules.editor.settings.storage.SettingsProvider]: Won't provide any settings for text/base It's 
been deprecated, use MimePath.EMPTY instead.
WARNING [global]: Error in source for css properties model for property: z-index
ScanningCancellableTask.cancel: Not yet implemented
ScanningCancellableTask.cancel: Not yet implemented
INFO [null]: AWT Event Dispatch Thread is blocked for 16,191 ms
org.netbeans.core.TimeableEventQueue$EQException: AWT Event Queue Thread Blocked
Group system
  Group main
    Group IDE Main
      Group base
      Group Debug Client Threads
      Thread AWT-Shutdown
        java.lang.Object.wait:-2
        java.lang.Object.wait:485
        sun.awt.AWTAutoShutdown.run:259
        java.lang.Thread.run:619
      Thread AWT-Windows
        sun.awt.windows.WToolkit.eventLoop:-2
        sun.awt.windows.WToolkit.run:290
        java.lang.Thread.run:619
      Thread *** JFluid Separate Command Execution Thread
        java.lang.Object.wait:-2
        java.lang.Object.wait:485
        org.netbeans.lib.profiler.ProfilerClient$SeparateCmdExecutionThread.run:104
      Thread Thread-5
        java.lang.Object.wait:-2
        java.lang.Object.wait:485
        java.util.prefs.AbstractPreferences$EventDispatchThread.run:1461
      Thread Creator Error Handler Listener
        java.net.PlainSocketImpl.socketAccept:-2
        java.net.PlainSocketImpl.accept:384
        java.net.ServerSocket.implAccept:453
        java.net.ServerSocket.accept:421
        org.netbeans.modules.visualweb.errorhandler.DebugServerThread.run:115
      Thread AWT-EventQueue-1
        java.lang.Object.wait:-2
        java.lang.Object.wait:485
        java.awt.EventQueue.getNextEvent:479
        org.netbeans.core.TimeableEventQueue.getNextEvent:114
        java.awt.EventDispatchThread.pumpOneEventForFilters:245
        java.awt.EventDispatchThread.pumpEventsForFilter:183
        java.awt.EventDispatchThread.pumpEventsForHierarchy:173
        java.awt.EventDispatchThread.pumpEvents:168
        java.awt.EventDispatchThread.pumpEvents:160
        java.awt.EventDispatchThread.run:121
      Thread pool-1-thread-1
        sun.misc.Unsafe.park:-2
        java.util.concurrent.locks.LockSupport.park:158
        java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await:1925
        java.util.concurrent.LinkedBlockingQueue.take:358
        java.util.concurrent.ThreadPoolExecutor.getTask:946
        java.util.concurrent.ThreadPoolExecutor$Worker.run:906
        java.lang.Thread.run:619
      Thread Java Source Worker Thread
        sun.misc.Unsafe.park:-2
        java.util.concurrent.locks.LockSupport.parkNanos:198
        java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos:1963
        java.util.concurrent.PriorityBlockingQueue.poll:245
        org.netbeans.api.java.source.JavaSource$CompilationJob.run:1529
        java.util.concurrent.Executors$RunnableAdapter.call:441
        java.util.concurrent.FutureTask$Sync.innerRun:303
        java.util.concurrent.FutureTask.run:138
        java.util.concurrent.ThreadPoolExecutor$Worker.runTask:885
        java.util.concurrent.ThreadPoolExecutor$Worker.run:907
        java.lang.Thread.run:619
      Thread org.netbeans.modules.gsfret.source.usages.RepositoryUpdater
        java.lang.Object.wait:-2
        java.lang.Object.wait:485
        java.util.TimerThread.mainLoop:483
        java.util.TimerThread.run:462
      Thread GSF Source Worker Thread
        sun.misc.Unsafe.park:-2
        java.util.concurrent.locks.LockSupport.parkNanos:198
        java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos:1963
        java.util.concurrent.PriorityBlockingQueue.poll:245
        org.netbeans.napi.gsfret.source.Source$CompilationJob.run:1144
        java.util.concurrent.Executors$RunnableAdapter.call:441
        java.util.concurrent.FutureTask$Sync.innerRun:303
        java.util.concurrent.FutureTask.run:138
        java.util.concurrent.ThreadPoolExecutor$Worker.runTask:885
        java.util.concurrent.ThreadPoolExecutor$Worker.run:907
        java.lang.Thread.run:619
      Thread MySQL Statement Cancellation Timer
        java.lang.Object.wait:-2
        java.lang.Object.wait:485
        java.util.TimerThread.mainLoop:483
        java.util.TimerThread.run:462
      Thread Timer-2
        java.lang.Object.wait:-2
        java.lang.Object.wait:485
        java.util.TimerThread.mainLoop:483
        java.util.TimerThread.run:462
    Thread Active Reference Queue Daemon
      java.lang.Object.wait:-2
      java.lang.ref.ReferenceQueue.remove:116
      org.openide.util.Utilities$ActiveQueue.run:3056
      java.lang.Thread.run:619
    Thread CLI Requests Server
      java.net.PlainSocketImpl.socketAccept:-2
      java.net.PlainSocketImpl.accept:384
      java.net.ServerSocket.implAccept:453
      java.net.ServerSocket.accept:421
      org.netbeans.CLIHandler$Server.run:1003
    Thread Timer-0
      java.lang.Object.wait:-2
      java.util.TimerThread.mainLoop:509
      java.util.TimerThread.run:462
    Thread DestroyJavaVM
  Thread Reference Handler
    java.lang.Object.wait:-2
    java.lang.Object.wait:485
    java.lang.ref.Reference$ReferenceHandler.run:116
  Thread Finalizer
    java.lang.Object.wait:-2
    java.lang.ref.ReferenceQueue.remove:116
    java.lang.ref.ReferenceQueue.remove:132
    java.lang.ref.Finalizer$FinalizerThread.run:159
  Thread Signal Dispatcher
  Thread Attach Listener
  Thread Java2D Disposer
    java.lang.Object.wait:-2
    java.lang.ref.ReferenceQueue.remove:116
    java.lang.ref.ReferenceQueue.remove:132
    sun.java2d.Disposer.run:125
    java.lang.Thread.run:619
  Thread TimerQueue
    java.lang.Object.wait:-2
    javax.swing.TimerQueue.run:236
    java.lang.Thread.run:619
  Thread Inactive RequestProcessor thread [Was:CaretAwareJavaSourceTaskFactory 
worker/org.netbeans.api.java.source.support.CaretAwareJavaSourceTaskFactory$ComponentListener$1]
    java.lang.Object.wait:-2
    org.openide.util.RequestProcessor$Processor.run:939
  Thread Inactive RequestProcessor thread [Was:SelectionAwareJavaSourceTaskFactory 
worker/org.netbeans.api.java.source.support.SelectionAwareJavaSourceTaskFactory$ComponentListener$1]
    java.lang.Object.wait:-2
    org.openide.util.RequestProcessor$Processor.run:939
  Thread Inactive RequestProcessor thread [Was:CaretAwareSourceTaskFactory 
worker/org.netbeans.napi.gsfret.source.support.CaretAwareSourceTaskFactory$ComponentListener$1]
    java.lang.Object.wait:-2
    org.openide.util.RequestProcessor$Processor.run:939
  Thread Inactive RequestProcessor thread 
[Was:JavaSourceTaskFactory/org.netbeans.api.java.source.JavaSourceTaskFactory$1]
    java.lang.Object.wait:-2
    org.openide.util.RequestProcessor$Processor.run:939
  Thread Inactive RequestProcessor thread [Was:Default 
RequestProcessor/org.netbeans.modules.timers.TimesCollectorPeer$CleanableWeakReference$1]
    java.lang.Object.wait:-2
    org.openide.util.RequestProcessor$Processor.run:939
  Thread Inactive RequestProcessor thread [Was:TimedSoftReference/org.openide.util.TimedSoftReference]
    java.lang.Object.wait:-2
    org.openide.util.RequestProcessor$Processor.run:939
  Thread Timeable Event Queue Watch Dog
    java.lang.Thread.dumpThreads:-2
    java.lang.Thread.getAllStackTraces:1477
    org.netbeans.core.TimeableEventQueue.run:191
    org.openide.util.RequestProcessor$Task.run:561
    org.openide.util.RequestProcessor$Processor.run:986
  Thread Inactive RequestProcessor thread [Was:SelectionAwareSourceTaskFactory 
worker/org.netbeans.napi.gsfret.source.support.SelectionAwareSourceTaskFactory$ComponentListener$1]
    java.lang.Object.wait:-2
    org.openide.util.RequestProcessor$Processor.run:939
  Thread Inactive RequestProcessor thread [Was:CaretAwareJavaSourceTaskFactory 
worker/org.netbeans.api.java.source.support.CaretAwareJavaSourceTaskFactory$ComponentListener$1]
    java.lang.Object.wait:-2
    org.openide.util.RequestProcessor$Processor.run:939

---
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.awt.EventQueue.getNextEvent(EventQueue.java:479)
	at org.netbeans.core.TimeableEventQueue.getNextEvent(TimeableEventQueue.java:114)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:245)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:183)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:173)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:168)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:160)
[catch] at java.awt.EventDispatchThread.run(EventDispatchThread.java:121)
ScanningCancellableTask.cancel: Not yet implemented
ScanningCancellableTask.cancel: Not yet implemented
ScanningCancellableTask.cancel: Not yet implemented
WARNING [org.netbeans.modules.editor.impl.KitsTracker]: Ambiguous mime types for editor kit implementation class: class 
org.netbeans.modules.xml.text.syntax.XMLKit; mime types: [text/xml-external-parsed-entity, text/xml]
INFO [org.netbeans.modules.j2ee.deployment.impl.ServerInstance]: DebuggerInfo cannot be found for: Apache Tomcat 6.0.14
INFO [org.netbeans.modules.tomcat5.TomcatManager]: Cannot copy file C:\java\apache-tomcat-6.0.14
\conf\Catalina\localhost\manager.xml to the Tomcat base dir, since it does not exist.
INFO [org.netbeans.modules.j2ee.deployment.impl.ServerInstance]: DebuggerInfo cannot be found for: Apache Tomcat 6.0.14
ScanningCancellableTask.cancel: Not yet implemented
ScanningCancellableTask.cancel: Not yet implemented
ScanningCancellableTask.cancel: Not yet implemented
ScanningCancellableTask.cancel: Not yet implemented
ScanningCancellableTask.cancel: Not yet implemented
ScanningCancellableTask.cancel: Not yet implemented
ScanningCancellableTask.cancel: Not yet implemented
ScanningCancellableTask.cancel: Not yet implemented
ScanningCancellableTask.cancel: Not yet implemented
ScanningCancellableTask.cancel: Not yet implemented
ScanningCancellableTask.cancel: Not yet implemented
ScanningCancellableTask.cancel: Not yet implemented
ScanningCancellableTask.cancel: Not yet implemented
Illegal character : p
Illegal character : n
Illegal character : d
Illegal character : <
SEVERE [global]
java.lang.IllegalStateException: Caller of TokenSequence forgot to call moveNext/Previous() or it returned false (no 
more tokens): tokenIndex=0
	at org.netbeans.api.lexer.TokenSequence.checkTokenNotNull(TokenSequence.java:748)
	at org.netbeans.api.lexer.TokenSequence.offset(TokenSequence.java:247)
	at org.netbeans.modules.css.gsf.CSSFormatter.findTokenSequenceBounds(CSSFormatter.java:278)
	at org.netbeans.modules.css.gsf.CSSFormatter.reindent(CSSFormatter.java:98)
	at org.netbeans.modules.gsf.GsfIndentTask.reindent(GsfIndentTask.java:69)
	at org.netbeans.modules.editor.indent.TaskHandler$MimeItem.runTask(TaskHandler.java:502)
	at org.netbeans.modules.editor.indent.TaskHandler.runTasks(TaskHandler.java:271)
	at org.netbeans.modules.editor.indent.IndentImpl.reindent(IndentImpl.java:232)
	at org.netbeans.modules.editor.indent.FormatterImpl.indentLine(FormatterImpl.java:138)
	at org.netbeans.modules.editor.indent.FormatterImpl.indentNewLine(FormatterImpl.java:133)
	at org.netbeans.editor.BaseKit$InsertBreakAction.actionPerformed(BaseKit.java:1141)
	at org.netbeans.modules.web.core.syntax.JSPKit$JspInsertBreakAction.actionPerformed(JSPKit.java:321)
	at org.netbeans.editor.BaseAction.actionPerformed(BaseAction.java:290)
	at javax.swing.SwingUtilities.notifyAction(SwingUtilities.java:1636)
	at javax.swing.JComponent.processKeyBinding(JComponent.java:2849)
	at javax.swing.JComponent.processKeyBindings(JComponent.java:2884)
	at javax.swing.JComponent.processKeyEvent(JComponent.java:2812)
	at java.awt.Component.processEvent(Component.java:5815)
	at java.awt.Container.processEvent(Container.java:2058)
	at java.awt.Component.dispatchEventImpl(Component.java:4410)
	at java.awt.Container.dispatchEventImpl(Container.java:2116)
	at java.awt.Component.dispatchEvent(Component.java:4240)
	at java.awt.KeyboardFocusManager.redispatchEvent(KeyboardFocusManager.java:1848)
	at java.awt.DefaultKeyboardFocusManager.dispatchKeyEvent(DefaultKeyboardFocusManager.java:697)
	at java.awt.DefaultKeyboardFocusManager.preDispatchKeyEvent(DefaultKeyboardFocusManager.java:962)
	at java.awt.DefaultKeyboardFocusManager.typeAheadAssertions(DefaultKeyboardFocusManager.java:834)
	at java.awt.DefaultKeyboardFocusManager.dispatchEvent(DefaultKeyboardFocusManager.java:661)
	at java.awt.Component.dispatchEventImpl(Component.java:4282)
	at java.awt.Container.dispatchEventImpl(Container.java:2116)
	at java.awt.Window.dispatchEventImpl(Window.java:2429)
	at java.awt.Component.dispatchEvent(Component.java:4240)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:599)
	at org.netbeans.core.TimeableEventQueue.dispatchEvent(TimeableEventQueue.java:104)
[catch] at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:273)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:183)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:173)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:168)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:160)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:121)
SEVERE [global]
java.lang.IllegalStateException: Caller of TokenSequence forgot to call moveNext/Previous() or it returned false (no 
more tokens): tokenIndex=0
	at org.netbeans.api.lexer.TokenSequence.checkTokenNotNull(TokenSequence.java:748)
	at org.netbeans.api.lexer.TokenSequence.offset(TokenSequence.java:247)
	at org.netbeans.modules.css.gsf.CSSFormatter.findTokenSequenceBounds(CSSFormatter.java:278)
	at org.netbeans.modules.css.gsf.CSSFormatter.reindent(CSSFormatter.java:98)
	at org.netbeans.modules.gsf.GsfIndentTask.reindent(GsfIndentTask.java:69)
	at org.netbeans.modules.editor.indent.TaskHandler$MimeItem.runTask(TaskHandler.java:502)
	at org.netbeans.modules.editor.indent.TaskHandler.runTasks(TaskHandler.java:271)
	at org.netbeans.modules.editor.indent.IndentImpl.reindent(IndentImpl.java:232)
	at org.netbeans.modules.editor.indent.FormatterImpl.indentLine(FormatterImpl.java:138)
	at org.netbeans.modules.editor.indent.FormatterImpl.indentNewLine(FormatterImpl.java:133)
	at org.netbeans.editor.BaseKit$InsertBreakAction.actionPerformed(BaseKit.java:1141)
	at org.netbeans.modules.web.core.syntax.JSPKit$JspInsertBreakAction.actionPerformed(JSPKit.java:321)
	at org.netbeans.editor.BaseAction.actionPerformed(BaseAction.java:290)
	at javax.swing.SwingUtilities.notifyAction(SwingUtilities.java:1636)
	at javax.swing.JComponent.processKeyBinding(JComponent.java:2849)
	at javax.swing.JComponent.processKeyBindings(JComponent.java:2884)
	at javax.swing.JComponent.processKeyEvent(JComponent.java:2812)
	at java.awt.Component.processEvent(Component.java:5815)
	at java.awt.Container.processEvent(Container.java:2058)
	at java.awt.Component.dispatchEventImpl(Component.java:4410)
	at java.awt.Container.dispatchEventImpl(Container.java:2116)
	at java.awt.Component.dispatchEvent(Component.java:4240)
	at java.awt.KeyboardFocusManager.redispatchEvent(KeyboardFocusManager.java:1848)
	at java.awt.DefaultKeyboardFocusManager.dispatchKeyEvent(DefaultKeyboardFocusManager.java:697)
	at java.awt.DefaultKeyboardFocusManager.preDispatchKeyEvent(DefaultKeyboardFocusManager.java:962)
	at java.awt.DefaultKeyboardFocusManager.typeAheadAssertions(DefaultKeyboardFocusManager.java:834)
	at java.awt.DefaultKeyboardFocusManager.dispatchEvent(DefaultKeyboardFocusManager.java:661)
	at java.awt.Component.dispatchEventImpl(Component.java:4282)
	at java.awt.Container.dispatchEventImpl(Container.java:2116)
	at java.awt.Window.dispatchEventImpl(Window.java:2429)
	at java.awt.Component.dispatchEvent(Component.java:4240)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:599)
	at org.netbeans.core.TimeableEventQueue.dispatchEvent(TimeableEventQueue.java:104)
[catch] at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:273)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:183)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:173)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:168)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:160)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:121)
ScanningCancellableTask.cancel: Not yet implemented
ScanningCancellableTask.cancel: Not yet implemented
SEVERE [global]
java.lang.IllegalStateException: Caller of TokenSequence forgot to call moveNext/Previous() or it returned false (no 
more tokens): tokenIndex=0
	at org.netbeans.api.lexer.TokenSequence.checkTokenNotNull(TokenSequence.java:748)
	at org.netbeans.api.lexer.TokenSequence.offset(TokenSequence.java:247)
	at org.netbeans.modules.css.gsf.CSSFormatter.findTokenSequenceBounds(CSSFormatter.java:278)
	at org.netbeans.modules.css.gsf.CSSFormatter.reindent(CSSFormatter.java:98)
	at org.netbeans.modules.gsf.GsfIndentTask.reindent(GsfIndentTask.java:69)
	at org.netbeans.modules.editor.indent.TaskHandler$MimeItem.runTask(TaskHandler.java:502)
	at org.netbeans.modules.editor.indent.TaskHandler.runTasks(TaskHandler.java:271)
	at org.netbeans.modules.editor.indent.IndentImpl.reindent(IndentImpl.java:232)
	at org.netbeans.modules.editor.indent.FormatterImpl.indentLine(FormatterImpl.java:138)
	at org.netbeans.modules.editor.indent.FormatterImpl.indentNewLine(FormatterImpl.java:133)
	at org.netbeans.editor.BaseKit$InsertBreakAction.actionPerformed(BaseKit.java:1141)
	at org.netbeans.modules.web.core.syntax.JSPKit$JspInsertBreakAction.actionPerformed(JSPKit.java:321)
	at org.netbeans.editor.BaseAction.actionPerformed(BaseAction.java:290)
	at javax.swing.SwingUtilities.notifyAction(SwingUtilities.java:1636)
	at javax.swing.JComponent.processKeyBinding(JComponent.java:2849)
	at javax.swing.JComponent.processKeyBindings(JComponent.java:2884)
	at javax.swing.JComponent.processKeyEvent(JComponent.java:2812)
	at java.awt.Component.processEvent(Component.java:5815)
	at java.awt.Container.processEvent(Container.java:2058)
	at java.awt.Component.dispatchEventImpl(Component.java:4410)
	at java.awt.Container.dispatchEventImpl(Container.java:2116)
	at java.awt.Component.dispatchEvent(Component.java:4240)
	at java.awt.KeyboardFocusManager.redispatchEvent(KeyboardFocusManager.java:1848)
	at java.awt.DefaultKeyboardFocusManager.dispatchKeyEvent(DefaultKeyboardFocusManager.java:697)
	at java.awt.DefaultKeyboardFocusManager.preDispatchKeyEvent(DefaultKeyboardFocusManager.java:962)
	at java.awt.DefaultKeyboardFocusManager.typeAheadAssertions(DefaultKeyboardFocusManager.java:834)
	at java.awt.DefaultKeyboardFocusManager.dispatchEvent(DefaultKeyboardFocusManager.java:661)
	at java.awt.Component.dispatchEventImpl(Component.java:4282)
	at java.awt.Container.dispatchEventImpl(Container.java:2116)
	at java.awt.Window.dispatchEventImpl(Window.java:2429)
	at java.awt.Component.dispatchEvent(Component.java:4240)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:599)
	at org.netbeans.core.TimeableEventQueue.dispatchEvent(TimeableEventQueue.java:104)
[catch] at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:273)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:183)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:173)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:168)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:160)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:121)
SEVERE [global]
java.lang.IllegalStateException: Caller of TokenSequence forgot to call moveNext/Previous() or it returned false (no 
more tokens): tokenIndex=0
	at org.netbeans.api.lexer.TokenSequence.checkTokenNotNull(TokenSequence.java:748)
	at org.netbeans.api.lexer.TokenSequence.offset(TokenSequence.java:247)
	at org.netbeans.modules.css.gsf.CSSFormatter.findTokenSequenceBounds(CSSFormatter.java:278)
	at org.netbeans.modules.css.gsf.CSSFormatter.reindent(CSSFormatter.java:98)
	at org.netbeans.modules.gsf.GsfIndentTask.reindent(GsfIndentTask.java:69)
	at org.netbeans.modules.editor.indent.TaskHandler$MimeItem.runTask(TaskHandler.java:502)
	at org.netbeans.modules.editor.indent.TaskHandler.runTasks(TaskHandler.java:271)
	at org.netbeans.modules.editor.indent.IndentImpl.reindent(IndentImpl.java:232)
	at org.netbeans.modules.editor.indent.FormatterImpl.indentLine(FormatterImpl.java:138)
	at org.netbeans.modules.editor.indent.FormatterImpl.indentNewLine(FormatterImpl.java:133)
	at org.netbeans.editor.BaseKit$InsertBreakAction.actionPerformed(BaseKit.java:1141)
	at org.netbeans.modules.web.core.syntax.JSPKit$JspInsertBreakAction.actionPerformed(JSPKit.java:321)
	at org.netbeans.editor.BaseAction.actionPerformed(BaseAction.java:290)
	at javax.swing.SwingUtilities.notifyAction(SwingUtilities.java:1636)
	at javax.swing.JComponent.processKeyBinding(JComponent.java:2849)
	at javax.swing.JComponent.processKeyBindings(JComponent.java:2884)
	at javax.swing.JComponent.processKeyEvent(JComponent.java:2812)
	at java.awt.Component.processEvent(Component.java:5815)
	at java.awt.Container.processEvent(Container.java:2058)
	at java.awt.Component.dispatchEventImpl(Component.java:4410)
	at java.awt.Container.dispatchEventImpl(Container.java:2116)
	at java.awt.Component.dispatchEvent(Component.java:4240)
	at java.awt.KeyboardFocusManager.redispatchEvent(KeyboardFocusManager.java:1848)
	at java.awt.DefaultKeyboardFocusManager.dispatchKeyEvent(DefaultKeyboardFocusManager.java:697)
	at java.awt.DefaultKeyboardFocusManager.preDispatchKeyEvent(DefaultKeyboardFocusManager.java:962)
	at java.awt.DefaultKeyboardFocusManager.typeAheadAssertions(DefaultKeyboardFocusManager.java:834)
	at java.awt.DefaultKeyboardFocusManager.dispatchEvent(DefaultKeyboardFocusManager.java:661)
	at java.awt.Component.dispatchEventImpl(Component.java:4282)
	at java.awt.Container.dispatchEventImpl(Container.java:2116)
	at java.awt.Window.dispatchEventImpl(Window.java:2429)
	at java.awt.Component.dispatchEvent(Component.java:4240)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:599)
	at org.netbeans.core.TimeableEventQueue.dispatchEvent(TimeableEventQueue.java:104)
[catch] at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:273)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:183)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:173)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:168)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:160)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:121)
ScanningCancellableTask.cancel: Not yet implemented
INFO [org.netbeans.modules.uihandler.Installer]: findIdentity: NB_JAVA_WEBEE0d681550c-1e15-4a7e-a5b9-4f02dad13056
Illegal character : <
Illegal character : <
Illegal character : <
Comment 1 kvgeorge1 2008-03-07 16:14:32 UTC
Created attachment 57984 [details]
File I was editing when error occured
Comment 2 Marek Fukala 2008-03-10 15:27:56 UTC
I agree the editing performance is very poor. I need to take some more time to profile and analyze. We have to improve it.

As for the exception from the CSSFormatter - it is likely unrelated to the bad performance, I've filed a separated issue
#129669 - "ISE from CSS formatter"
Comment 3 kvgeorge1 2008-03-13 18:19:10 UTC
Just wanted to let you know that I have downloaded the latest development version of the IDE:

Product Version: NetBeans IDE Dev (Build 200803130007)
Java: 1.6.0_02; Java HotSpot(TM) Client VM 1.6.0_02-b06
System: Windows XP version 5.1 running on x86; Cp1252; en_US (nb)

The performance is not much better here either.

Thank you for taking the time to look into this for the 6.1 release.
Comment 4 kvgeorge1 2008-03-21 15:34:43 UTC
Just wanted to let you know that I just downloaded 200803210006 and the performance during editing is still horrific!  
Some of the features (code formatting) work now, which is a great improvement.

Is there an ETA of when this will be resolved, or are you still trying to pin-point the cause?
Comment 5 Peter Zavadsky 2008-03-27 01:24:48 UTC
One can experience the problem with the provided source.
It seems that a lot of time is spent when calling OffsetsBag.addHighlights(HighlightsSequence) when the
HighlightSequence is of SyntaxHighlighting$HSImpl type (with the mentioned JSP source).
It is needed to investigate that deeper. Passing this to editor guys, who are more familiar with the code (I don't know
how big part plays some SPI's impls in JSP in the described method call.)
Comment 6 Jan Becicka 2008-03-27 09:06:54 UTC
I doubt, that this is editor issue. Anyway Milo, please evaluate. Thanks.
Comment 7 Miloslav Metelka 2008-03-27 13:36:29 UTC
You're right, the damaged ranges for a single typed character are rather extensive:
highlightsChangeEvent: [13471, 35881], toDAMAGE: [13471, 35881]
highlightsChangeEvent: [13471, 35881], toDAMAGE: [13471, 35881]
highlightsChangeEvent: [36170, 36233], toDAMAGE: [13471, 36233]
DamageRange: [13471, 36233]
DamageRange: [36170, 36233]
DamageRange: [8466, 8513]
DamageRange: [8466, 8513]
DamageRange: [37591, 37821]
DamageRange: [37591, 37821]
DamageRange: [47904, 48110]
DamageRange: [47904, 48110]
DamageRange: [13471, 13503]
DamageRange: [8344, 8393]
DamageRange: [8344, 8393]
DamageRange: [47683, 47887]
DamageRange: [47683, 47887]
DamageRange: [46866, 46878]
DamageRange: [46866, 46878]
DamageRange: [8526, 8567]
DamageRange: [8526, 8567]
DamageRange: [8580, 8623]
DamageRange: [8580, 8623]
DamageRange: [8406, 8453]
DamageRange: [8406, 8453]
DamageRange: [7935, 8032]
DamageRange: [7935, 8032]
DamageRange: [8146, 8247]
DamageRange: [8146, 8247]
DamageRange: [37396, 37574]
DamageRange: [37396, 37574]
DamageRange: [47462, 47666]
DamageRange: [47462, 47666]
DamageRange: [37838, 38023]
DamageRange: [37838, 38023]
DamageRange: [13471, 13504]

I will further check what's a cause of this. I will check the boundaries of TokenHierarchyEvent and also the html's
EmbeddingUpdater.
Comment 8 Marek Fukala 2008-03-27 21:54:29 UTC
I also doubt that the highlight layers are the main source of the slowness. 

IMHO the main reason is the fact that the many of the GSF parser based features are not cancelled when the document is
modified. In another words, if you type to the document, the gsf parser is triggered. Then if you type quickly again the
parser and all the features triggered by gsf when the parser finishes are not cancelled, but they run. But then, since
the file was modified meanwhile, the whole process is restarted... I belive Tor has already an issue for this problem. 

However, this is just my assumption, I may be wrong and the main source is somewhere else.
Comment 9 Petr Jiricka 2008-03-28 14:09:41 UTC
> I belive Tor has already an issue for this problem. 

Do we have an issue # ?
Comment 10 Marek Fukala 2008-03-28 15:20:54 UTC
I thought I filed an issue to Tor, but we just discussed the issue by email. So I filed the #131413 issue now.
Comment 11 Jan Becicka 2008-03-29 22:35:51 UTC
So is this still P2 for Editor? 
Comment 12 Torbjorn Norbye 2008-03-30 17:09:33 UTC
Has anyone run this with a profiler measuring the hotspots during JSP editing?

It's hard to believe this would be related to the background parsing, since after all, we use the same approach for Ruby
and JavaScript and parsing Ruby should be slower than processing HTML.  Also, the parsing should happen in the
background so editing in the AWT thread should not in any way be blocked or sluggish.  (It's true that the CPU will have
to do work to serve the background thread to update things like JavaScript functions in the file, but again since this
is happening in the background it shouldn't impede the user experience.)

It would be great to see some profiling data pinpointing the problems.
Comment 13 Miloslav Metelka 2008-03-30 18:12:42 UTC
I'm already tracking one problem which is that the modifications inside javascript re-create complete javascript
sections instead of localizing the changes to contained javascript tokens. So then the whole (17205,35881) area gets
reported as damaged. I have a suspicion that the rescanned area extends into the previous section and so the javascript
section is then not checked for inner tokens but I need to check this in a more detail.

The other damage requests (mentioned before) come from hints (attaching thread dump). IMHO it would be great if gsf
could only reattach the hints that are new rather than reattaching all from scratch.
Comment 14 Miloslav Metelka 2008-03-30 18:15:28 UTC
Created attachment 59366 [details]
Stack from hints attaching annotations
Comment 15 Jan Lahoda 2008-03-30 20:02:18 UTC
(Comment I wrote before Mila's comment):
I have found out that one of the places that consume non-trivial time is java.editor's
EmbeddedLexerBasedHighlightSequence (this may be related to unnecessarily big damage ranges Mila talked about). I have
pushed a change that disables the Java highlighting in case it has nothing to do:
http://hg.netbeans.org/main/rev/7ac5b901836a
This seems to improve typing performance on the given file. With this patch, typing without scrolling seems quite fine,
but when the editor needs to do horizontal scrolling, the performance is still suboptimal. From my experiments, one of
the problems seems to be GSF's use of editor.highlights (which is quite slow, and deprecated - the Highlighting API in
Editor Lib 2 should be used instead) (I was "profiling" using thread dumps, so the results may not be 100% accurate).

Re Mila's comment:
I do not think painting the hints is the culprit - Java does it in more or less same way, and this never appeared to be
a problem. If strictly necessary, may be improved in the Editor Hints.
Comment 16 Miloslav Metelka 2008-03-31 14:55:47 UTC
Thanks Honzo.
In the meantime I've tried to collect the profiling data so that we know how much the individual culprits consume. I've
typed 3 letters on an empty line inside javascript section around line 650.
Time spent in AWT thread:
   -> o.n.editor.HighlightingDrawLayer$4.run()           72.8%      73 invocations
     -> o.n.editor.BaseCaret.changedUpdate()             32.9%      73 invoc.
       -> ... updateCaretBounds()
         -> ... modelToView()
           -> CompoundHighlightsContainer.updateCache()  32.9%     210 invoc.
             -> ... OffsetsBag.addHighlightImpl()        18.9%  427350 invoc.
               -> OffsetsBag.merge()                     18.7%  427350 invoc.
             -> rest in HighlightSeq.moveNext() impls cca14.0%

   -> o.n.editor.HighlightingDrawLayer.notifyViews()     28.0%      72 invoc.
     -> ... CompoundHighlightsContainer.updateCache()    24.7%     181 invoc.
       -> OffsetsBag.addHihglightImpl()                  13.6%  389301 invoc.
       -> rest in HighlightSequence.moveNext() impls

   -> o.n.e.BaseTextUI.damageRange()                     11.9%      73 invoc.
     -> ... modelToView()
       -> ... CompoundHighlightsContainer.updateCache()   9.6%     189 invoc.
         -> OffsetsBag.addHihglightImpl()                 4.4%  123128 invoc.
         -> rest in HighlightSequence.moveNext() impls

   -> o.n.e.DrawEngineDocView.paint()                    15.0%      24 invoc.
     -> ... viewToModel()
       -> ... CompoundHighlightsContainer.updateCache()  13.3%     102 invoc.
         -> OffsetsBag.addHihglightImpl()                 7.2%  210633 invoc.


   -> JspDefaultKeyTypedAction.actionPerformed()          5.5%       3 invoc.
     -> ... JsLexer.nextToken()                           0.9%   16239 invoc.

Other threads:
 Thread for AnnotationHolder (hints) consumed about 5.6% of total time.
 GSF Worker thread consumed about 1.5% of total time but this seems to be distorted by the classes filter used for
profiling.

So overall it seems that the problem is in expensiveness of the CompoundHighlightsContainer.updateCache() calls. This is
likely caused by changes in highlights. I will attempt to find out whether this could not be improved so that the
updateCache() would not be called so often.
The relexing of the javascript section does not seem to be important from the global point of view.
Comment 17 Miloslav Metelka 2008-03-31 23:13:00 UTC
I have modified caching strategy in CompoundHighlightsContainer to compute a union of present cache with the requested
region. It should behave considerably better than before.

http://hg.netbeans.org/main?cmd=changeset;node=1ffd9b853f13

If we agree that the fix is OK I can integrate into release61 too.
Comment 18 Jan Becicka 2008-04-02 08:27:40 UTC
Should this fix go to 6.1?
Comment 19 Petr Jiricka 2008-04-02 16:50:06 UTC
I think so. What do you think, Martin?
Comment 20 Martin Schovanek 2008-04-03 09:23:23 UTC
Verified in trunk build, please integrate into release61.
Comment 21 Vitezslav Stejskal 2008-04-03 10:02:39 UTC
I'm sorry. but Mila's fix broke quite a lot of tests. I have a better one, which I am just about to push. When it's in
the main I'd like to ask for retesting it. I'm sorry for the troubles. 
Comment 22 Vitezslav Stejskal 2008-04-03 10:36:37 UTC
Here is the better fix - http://hg.netbeans.org/main/rev/f125d12096e7. Martine could you please retest it? Thanks a lot
Comment 23 Martin Schovanek 2008-04-03 10:41:17 UTC
Reopening since the issue state should reflect the state at release61 branch.
Comment 24 Vitezslav Stejskal 2008-04-03 11:39:19 UTC
Well, the issue was marked fixed with TM = Dev, which IMO reflected the state precisely. That is - the issue is fixed in
the main repository. When we deliver the fix to release61 we will change TM = 6.1. Has anything changed on this practice?
Comment 25 Marian Mirilovic 2008-04-03 11:52:47 UTC
Vita is right.
Comment 26 Miloslav Metelka 2008-04-03 11:54:48 UTC
Vito, the main difference is probably the fact that I've had
cacheLowestPos = null;
cacheHighestPos = null; 
when cache became obsolete (cacheObsolete flag i.e. some of the layers have changed; or layers were added/removed). This
was in response to the fact that when the cache is expanded it may grow to cover the whole file (or a significant part
of it) and there would be no mechanism to shrink it. Then big permanent cache means a lot of merging of individual
highlights so it's undesirable too. Of course I might have overlook something. Maybe we should test with the appropriate
logger.
Comment 27 Miloslav Metelka 2008-04-03 13:14:03 UTC
I was wrong the cache should get cleaned upon cacheObsolete. So I think that the patch is OK.
Comment 28 Martin Schovanek 2008-04-03 21:43:26 UTC
Second fixed verified in the trunk, if the problem with broken tests is fixed please integrate it into release61.
Comment 29 Vitezslav Stejskal 2008-04-04 10:51:29 UTC
Transplanted to release61 - http://hg.netbeans.org/release61/rev/5039da4864d9
Comment 30 Martin Schovanek 2008-04-04 15:27:43 UTC
verified in release61
Comment 31 kvgeorge1 2008-04-07 22:14:27 UTC
Is this available now, or do we have to wait until the final release?
Comment 32 Jiri Prox 2008-04-08 08:01:26 UTC
this fix should be included in trunk builds since Apr 3
Comment 33 kvgeorge1 2008-04-08 16:17:36 UTC
Although the performance seems improved, the interface is STILL sluggish (long delays between key-strokes).  Esp. when 
you are running Tomcat in the IDE to test the pages.  Tomcat is very responsive, just the IDE is sluggish.
Comment 34 kvgeorge1 2008-04-08 16:19:11 UTC
Created attachment 59846 [details]
Example file vausing sluggish response in IDE editor
Comment 35 kvgeorge1 2008-04-17 17:26:01 UTC
As of build 200804160005, this issue is still present.  I will attach file having issues with editing.
Comment 36 kvgeorge1 2008-04-17 17:27:46 UTC
Created attachment 60360 [details]
File I was editing when performance was impeded.
Comment 37 Jan Becicka 2008-04-18 08:33:17 UTC
mschovanek, you verified this fix. Can recheck?
Thanks
Comment 38 Miloslav Metelka 2008-04-18 08:40:15 UTC
Yes the performance should definitely be improved considerably but I agree with you that it's still not optimal on the
provided file. IMHO this should not be a stopper for the 6.1 release but it certainly qualifies as P2 since the plain
typing should generally be fast.
What typing place (javascript or html subsections?) do you see as the most problematic?

I will do another series of measurements to find out the consumption of the involved things (highlights, lexer, etc.).
There are several things for further analysis:
1) There is still a considerable amount of time spent in HighlightLayer-related code. We should find a way how to
improve that.
2) For some reason the javascript section is not relexed optimally i.e. save the javascript section and just update the
modified embedded tokens. Instead the whole javascript section gets relexed. Although this did not show up to cnosume
too much time in the measurements still this should be improved.
3) As Marek F. pointed out we should check whether the parsing requests are properly cancelled during typing.
Comment 39 Martin Schovanek 2008-04-18 09:15:57 UTC
Can reproduce it in RC1 but RC2 works fast for me, probably improved by fixing issue #132883. 
Please can you try it in Nb 6.1 RC2 build?
Comment 40 kvgeorge1 2008-04-18 17:13:43 UTC
6.1 RC2 has the same issues.  When opening the file, it takes about 20-40 seconds before editing can begin (Navigation 
windows show message "Please Wait..." during this time).

Both JavaScript and JSP/HTML areas are slow, but probably JavaScript/JSP tag editing is much slower than modifying HTML.
Comment 41 Miloslav Metelka 2008-04-18 18:17:38 UTC
20-40 seconds is really a lot.

I've looked to a log dump from your machine:

Heap memory usage: initial 32.0MB maximum 266.4MB
Non heap memory usage: initial 32.2MB maximum 232.0MB
Garbage collector: Copy (Collections=27 Total time spent=0s)
Garbage collector: ConcurrentMarkSweep (Collections=0 Total time spent=0s)
Classes: loaded=6841 total loaded=6848 unloaded 7
INFO [org.netbeans.core.ui.warmup.DiagnosticTask]: Total memory 1,609,945,088

I'm wondering if increasing -Xmx in your netbeans.conf would help? http://wiki.netbeans.org/FaqSettingHeapSize
Comment 42 Vitezslav Stejskal 2008-04-19 14:54:56 UTC
I regrouped the layers to keep in SYNTAX_RACK only those that really provide syntax or semantic highlighting. These
layers are the most expensive to compute and generally provide the highest amount of highlights. Keeping those layers
separately increases the likelihood of having the highlights cached and serving draw requests from the cache rather then
recomputing them again from the layers.

I'm not sure how much faster things will be after the fix, but the profiler showed around 2.5x reduction in time spent
on merging highlights when recalculating caches. This fix is in the main repo and should be available in recent dev builds.

http://hg.netbeans.org/main/rev/9c88925bf511
Comment 43 Miloslav Metelka 2008-04-19 15:09:47 UTC
I have tuned the OffsetBag's addition of highlights. Since the addition is usually sequential I wanted to reuse a
'lastAddIndex' and just verify the adjacent marks to verify that the index is correct (in about 20% of the cases I need
to check one more mark). With the cache just one of 72 (sometimes even 123) cases needs a full binary search.
IIRC the indexBeforeOffset() presented about 70% of OffsetsBag.addHighlightImpl() time so the effect should be noticeable.

I have also applied a similar approach to an initial moveNext() of the highlight sequence. There just one of 23 cases
needs a binary search. There seems to be somewhat high number of the highlight sequences created - it's mostly because
code of HighlightingDrawLayer.processOffset():

        HighlightsSequence hs = highlights.getHighlights(currentOffset, endOffset);
        boolean hasHighlight = hs.moveNext();

We could possibly review whether single HS could be reused for that.

http://hg.netbeans.org/main/rev/173a242b8cbd

Vita is working on extraction of Annotation layer into a separate highlighting rack so I leave this open until that gets
integrated.
Comment 44 Vitezslav Stejskal 2008-04-19 15:19:30 UTC
I've already done that. See my previous comment. kvgeorge1 could you please re-test this with a recent dev build? If the
changes help we will mark this for inclusion in the patch1. Thanks
Comment 45 Quality Engineering 2008-04-20 03:39:49 UTC
Issue '129561' Integrated in NB_Trunk_Production #147 : http://hg.netbeans.org/main/rev/9c88925bf511,
 with comment: #129561: shuffling layers to minimize recreating of the cache for syntax/semantic layers; the relative positioning of layers is not affected, they are just grouped differently to increase cache hits for layers in ZOrder.SYNTAX_RACK
Comment 46 kvgeorge1 2008-04-21 15:37:32 UTC
I downloaded the latest dev build (200804190003) and attempted to open/edit the file once again.  It took approx. 30 
seconds from the time I opened the file to the actual time I was able to do any edits to the file.  The CPU was pegged 
between 96% and 99% utilization and the IDE practically "froze" during this time.

After the file was loaded, the editing was improved, but still had times of sluggishness, esp. when editing javascript 
portions of the file.  HTML/JSP Tags experienced periodic sluggishness, but was not as severe as the javascript 
portions.

The Navigator window no longer shows "Please Wait..." when opening the file, but instead, just shows the document tree 
upon completion of file load.

Could this have something to do with the navigation window being opened when editing a JSP file?
Comment 47 Miloslav Metelka 2008-04-21 16:05:04 UTC
kvgeorge1, have you tried
> I'm wondering if increasing -Xmx in your netbeans.conf would help? http://wiki.netbeans.org/FaqSettingHeapSize

Could you please describe your CPU, RAM and OS configuration?

BTW on my machine (dual-core T7200@2GHz, 2GB RAM, Ubuntu) opening of the attached file takes less than 10 secs.
Comment 48 Vitezslav Stejskal 2008-04-21 16:05:05 UTC
Hmm, I suggest we track two problems here:

1. slow opening of the file
2. poor responsiveness while editing (ie sluggishness)

As for #1, could you please generate some threaddumps and attach them to this issue
(http://wiki.netbeans.org/GenerateThreadDump)? I haven't done any measurements, but I don't remember noticing any super
long loading times with the example files you provided us.

Re #2, from what you say I understand that our fixes were successful. Do you agree?
Comment 49 kvgeorge1 2008-04-21 16:14:17 UTC
I will attach the thread dumps as soon as I can generate them.

As far as agreeing that the fix is complete, that depends on if being less performant than 5.5.1 is acceptable for JSP 
editing.  Most of the time, users expect the next release of the IDE (i.e. 5.0 -> 5.5, 5.5 -> 5.5.1, 5.5.1 -> 6.0, 6.0 -
> 6.1) to be better in perfomance than the previous, but that is not the case here (at least from my experiences).

If that is what the goal was, than yes - it is fixed with a caveat that the editing experience may vary and expectaions 
of better performance than the previous release are null and void.  Editing with 6.0 is far worse than 5.5.1 and not as 
performant as 6.1, however, I still do not feel that editing should be any worse than say editing a standard .java 
or .js file.  I am guessing that further testing needs to be done to determine if the issue is more towards editing 
a .jsp file in a mixed environment (i.e. larger than 200 lines of code, mixed javascript/jsp/html/jsp-tags, etc.) is 
causing the performance issue, or something else.
Comment 50 Marek Fukala 2008-04-21 16:17:01 UTC
>Could this have something to do with the navigation window being opened when editing a JSP file?
I think so. The GSF navigator impl. expands the whole tree during its initialization/file opening. This is very costly
and may cause the slow opening times. If the file is huge some time may also take merging of the old and new trees done
by the navigator code.

Can you try to close the navigator and test the file opening and editing?
Comment 51 kvgeorge1 2008-04-21 16:27:15 UTC
Created attachment 60502 [details]
Thread Dumps from "locked" IDE - 200804190003
Comment 52 kvgeorge1 2008-04-21 16:44:08 UTC
I did my tests again after closing the Navigator window and stopping/restarting the IDE.  The time to open the file and 
begin editing was DRAMATICALLY improved (approx. 10-15 sec. to open and start editing a file).

Editing in the javascript regions was still sluggish, and the HTML areas using JSP tags did not appear to suffer 
performance issues.

However, I did receive an EXCEPTION while re-formatting the file:

java.lang.AssertionError: startOffset=2, endOffset=1, inputText.length()=1
	at org.netbeans.lib.lexer.TextLexerInputOperation.<init>(TextLexerInputOperation.java:87)
	at org.netbeans.lib.lexer.EmbeddedTokenList.createLexerInputOperation(EmbeddedTokenList.java:374)
	at org.netbeans.lib.lexer.inc.TokenListUpdater.update(TokenListUpdater.java:372)
	at org.netbeans.lib.lexer.TokenHierarchyUpdate.updateTokenListByModification(TokenHierarchyUpdate.java:338)
	at org.netbeans.lib.lexer.TokenHierarchyUpdate$TLLInfo.update(TokenHierarchyUpdate.java:507)
	at org.netbeans.lib.lexer.TokenHierarchyUpdate.processLevelInfos(TokenHierarchyUpdate.java:314)
	at org.netbeans.lib.lexer.TokenHierarchyUpdate.update(TokenHierarchyUpdate.java:143)
	at org.netbeans.lib.lexer.TokenHierarchyOperation.textModified(TokenHierarchyOperation.java:478)
	at org.netbeans.spi.lexer.TokenHierarchyControl.textModified(TokenHierarchyControl.java:93)
	at org.netbeans.lib.lexer.inc.DocumentInput.insertUpdate(DocumentInput.java:140)
	at org.netbeans.lib.editor.util.swing.PriorityDocumentListenerList.insertUpdate
(PriorityDocumentListenerList.java:70)
	at javax.swing.text.AbstractDocument.fireInsertUpdate(AbstractDocument.java:185)
	at org.netbeans.editor.BaseDocument.fireInsertUpdate(BaseDocument.java:1398)
	at org.netbeans.editor.BaseDocument.insertString(BaseDocument.java:645)
	at org.netbeans.modules.editor.indent.spi.Context.modifyIndent(Context.java:193)
	at org.netbeans.modules.editor.structure.formatting.TagBasedLexerFormatter.reformat
(TagBasedLexerFormatter.java:359)
	at org.netbeans.modules.editor.structure.formatting.TagBasedLexerFormatter.reformat
(TagBasedLexerFormatter.java:160)
	at org.netbeans.modules.editor.structure.formatting.TagBasedLexerFormatter.process
(TagBasedLexerFormatter.java:155)
	at org.netbeans.modules.html.editor.indent.HtmlIndentTask.reindent(HtmlIndentTask.java:68)
	at org.netbeans.modules.editor.indent.TaskHandler$MimeItem.runTask(TaskHandler.java:502)
	at org.netbeans.modules.editor.indent.TaskHandler.runTasks(TaskHandler.java:271)
	at org.netbeans.modules.editor.indent.IndentImpl.reformat(IndentImpl.java:293)
	at org.netbeans.modules.editor.indent.FormatterImpl.reformat(FormatterImpl.java:161)
	at org.netbeans.editor.ActionFactory$FormatAction.actionPerformed(ActionFactory.java:1553)
	at org.netbeans.editor.BaseAction.actionPerformed(BaseAction.java:290)
	at javax.swing.SwingUtilities.notifyAction(SwingUtilities.java:1636)
	at javax.swing.JComponent.processKeyBinding(JComponent.java:2849)
	at javax.swing.JComponent.processKeyBindings(JComponent.java:2884)
	at javax.swing.JComponent.processKeyEvent(JComponent.java:2812)
	at java.awt.Component.processEvent(Component.java:5815)
	at java.awt.Container.processEvent(Container.java:2058)
	at java.awt.Component.dispatchEventImpl(Component.java:4410)
	at java.awt.Container.dispatchEventImpl(Container.java:2116)
	at java.awt.Component.dispatchEvent(Component.java:4240)
	at java.awt.KeyboardFocusManager.redispatchEvent(KeyboardFocusManager.java:1848)
	at java.awt.DefaultKeyboardFocusManager.dispatchKeyEvent(DefaultKeyboardFocusManager.java:697)
	at java.awt.DefaultKeyboardFocusManager.preDispatchKeyEvent(DefaultKeyboardFocusManager.java:962)
	at java.awt.DefaultKeyboardFocusManager.typeAheadAssertions(DefaultKeyboardFocusManager.java:834)
	at java.awt.DefaultKeyboardFocusManager.dispatchEvent(DefaultKeyboardFocusManager.java:661)
	at java.awt.Component.dispatchEventImpl(Component.java:4282)
	at java.awt.Container.dispatchEventImpl(Container.java:2116)
	at java.awt.Window.dispatchEventImpl(Window.java:2429)
	at java.awt.Component.dispatchEvent(Component.java:4240)
[catch] at java.awt.EventQueue.dispatchEvent(EventQueue.java:599)
	at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:104)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:273)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:183)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:173)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:168)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:160)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:121)

Which blew-out the scroll bars for the file. I had to close the file and re-open the file to get the scroll-bars back.
Comment 53 Marek Fukala 2008-04-22 09:25:07 UTC
As for the navigator problem causing long opening times I filled new P2 issue 133597.
Comment 54 Miloslav Metelka 2008-04-22 09:47:45 UTC
I have filed a separate issue #133604 for the exception during reformatting. Since I was not able to reproduce the
exception on the attached files could you please attach a file where the reformatting exception can be reproduced into
issue #133604? Thanks.
Comment 55 Jiri Prox 2008-04-22 14:41:05 UTC
I closing this issue as fixed for now. There was already several fixes done for improving the performance and we want
this fixes to be included in patch 1. In order to do so, the issue must be closed as fixed and verified in thunk builds.
Only then the fixes can be part of patch 1.

If you see any further issues which are not included in issue 133597 or issue 133604  please create a new report, we'll
handle it separately.
Thanks


Comment 56 Jiri Prox 2008-04-25 15:01:02 UTC
Martine, can I ask you for the last verification of this issue? Thanks.
Comment 57 Martin Schovanek 2008-04-29 18:16:10 UTC
v.
Comment 58 pgebauer 2008-04-30 15:55:07 UTC
The fix has been ported into the release61_fixes branch:

http://hg.netbeans.org/release61_fixes/rev/21f16eaeb286
http://hg.netbeans.org/release61_fixes/rev/b0650abd20cd


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo